#include <iostream>
#include <cmath>


using namespace std;

int main()
{
    unsigned long long n;
    cin>>n;
    double a[n],p[n];
    double s,maxx=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
    for(int i=0;i<n;i++)
    {
        s=0;
        for(int j=0;j<n;j++)
        {
            if(p[j]>=p[i])
            {
                s=s+a[j];
            }
        }
        s=s*(p[i]/100);
        if(s>maxx)
        {
            maxx=s;
        }
    }
    printf("%f",maxx);
}